<template>
  <div>
    <h3 class="title-component">{{ $t('bounty.total.title') }}</h3>

    <div class="progress-container">
      <div class="progress">
        <div class="progress-bar-line text-right position-relative"  :style="{width: percentToken + '%'}">
        </div>
      </div>

      <div class="row">
        <div class="col-6 text-left progress-label">{{ hetaTokens | formatCurrencyAmount('heta', '0') }} {{ !!hetaTokens ? $t('common.heta_tokens') : $t('common.heta_token') }}</div>
        <div class="col-6 text-right progress-label">{{ $t('bounty.total.max', {token: $options.filters.formatCurrencyAmount(estHetaTokens, 'heta', '0') }) }}</div>
      </div>
    </div>
  </div>
</template>

<script>
  import rf from '../../../common/requests/RequestFactory';
  import bignumber from 'bignumber.js';

  export default {
    data () {
      return {
        estHetaTokens: 0,
        hetaTokens: 0,
      }
    },
    computed: {
      percentToken() {
        if (bignumber(this.estHetaTokens).isZero()) {
          return 0;
        }

        return bignumber(this.hetaTokens).dividedBy(this.estHetaTokens).times(100).toFixed(2);
      }
    },
    methods: {
      getEstHetaTokens () {
        rf.getRequest('UserRequest').getEstHetaTokens()
          .then((res) => {
            this.estHetaTokens = res.data;
          });
      },

      getTotalHetaTokens () {
        rf.getRequest('UserRequest').getTotalHetaTokens()
          .then((res) => {
            this.hetaTokens = res.data;
          });
      }
    },
    mounted() {
      this.getEstHetaTokens();
      this.getTotalHetaTokens();
    }
  }
</script>

<style lang="scss" scoped>
  @import "../../../../sass/mobile/typoVariables.scss";
  .title-component {
    margin-bottom: 11rem;
  }

  .progress-container {
    height: 8rem;
    margin: 0rem auto 44rem;
    position: relative;

    .progress {
      width: 100%;
      height: 8rem;
      border-radius: 5rem;
      background-color: #e1e8ff;

      .progress-bar-line {
        height: 100%;
        border-radius: 5rem;
        background-image: linear-gradient(to right, #fad961, #f76b1c);
        padding-right: 10rem;
        color: white;
        line-height: 8rem;
      }
    }

    .progress-label {
      margin-top: 10rem;
      font-size: 16rem;
      color: $gray;
      @media screen and (max-width: 500rem) {
        font-size: $small;
        padding-left: 0rem;
        padding-right: 0rem;
      }
      &.text-left {
        display: inline-block;
      }
      &.text-right {
        float: right;
        display: inline-block;
      }
    }
  }
  .is_smaller {
    position: absolute;
    left: 100%;
    color: black;
    width: 80rem;
    text-align: left;
    margin-left: 5rem;
    font-size: 14rem;
  }
</style>
